Bug 1273374 - autoremove --exclude does not work
autoremove --exclude does not work
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 06:28 EDT by Vít Ondruch
Modified: 2016-07-14 12:18 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-14 12:18:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2015-10-20 06:28:25 EDT
Description of problem:
gnome-maps should be excluded from the autoremove transaction, but it is not:

$ LANG=en_US sudo dnf autoremove --exclude gnome-maps
Last metadata expiration check performed 1:51:57 ago on Tue Oct 20 10:34:22 2015.
Dependencies resolved.
================================================================================
 Package                     Arch   Version                 Repository     Size
================================================================================
Removing:
 devscripts-minimal          x86_64 2.15.9-2.fc24           @rawhide       70 k
 dpkg                        x86_64 1.17.25-6.fc24          @rawhide      6.1 M
 dpkg-perl                   noarch 1.17.25-6.fc24          @rawhide      564 k
 gnome-characters            x86_64 3.18.1-1.fc24           @rawhide      1.6 M
 gnome-maps                  x86_64 3.18.1-1.fc24           @rawhide      1.2 M
 jack-audio-connection-kit   x86_64 1.9.10-3.fc23           @@commandline 2.4 M
 jack-audio-connection-kit-example-clients
                             x86_64 1.9.10-3.fc23           @@commandline 574 k
 kernel-modules-extra        x86_64 4.3.0-0.rc3.git2.1.fc24 @rawhide      2.1 M
 libffado                    x86_64 2.2.1-5.fc23            @@commandline 2.4 M
 perl-IO-Tty                 x86_64 1.12-3.fc23             @rawhide       79 k
 perl-IPC-Run                noarch 0.94-3.fc23             @rawhide      317 k
 perl-IPC-System-Simple      noarch 1.25-7.fc23             @@commandline  69 k
 perl-autodie                noarch 2.29-1.fc23             @@commandline 211 k
 python-dnf-langpacks        noarch 0.15.1-1.fc24           @@commandline  76 k
 python-firewall             noarch 0.3.14.2-4.fc24         @@commandline 1.1 M
 recordmydesktop             x86_64 0.3.8.1-15.fc23         @@commandline 128 k
 tomcat-servlet-3.1-api      noarch 1:8.0.26-1.fc24         @@commandline 296 k

Transaction Summary
================================================================================
Remove  17 Packages

Installed size: 19 M
Is this ok [y/N]: 


Version-Release number of selected component (if applicable):
$ rpm -q dnf
dnf-1.1.3-1.fc24.noarch


How reproducible:
Always


Steps to Reproduce:
1.
2.
3.

Actual results:
DNF tries to remove gnome-maps, although it should be excluded from transaction


Expected results:
gnome-maps is excluded from transaction, IOW it is kept on the system.

Additional info:
Comment 1 Jan Kurik 2016-02-24 08:51:22 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora Admin XMLRPC Client 2016-07-08 05:31:20 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Wolnei Junior 2016-07-14 12:18:23 EDT
This problem is fixed with dnf-0:1.1.9-2.fc24.

Note You need to log in before you can comment on or make changes to this bug.